Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.types
Class ZipFileSet

    java.lang.Object
      |
      +--org.apache.tools.ant.types.DataType
            |
            +--org.apache.tools.ant.types.FileSet
                  |
                  +--org.apache.tools.ant.types.ZipFileSet

public class ZipFileSet
extends FileSet

A ZipFileSet is a FileSet with extra attributes useful in the context of Zip/Jar tasks. A ZipFileSet extends FileSets with the ability to extract a subset of the entries of a Zip file for inclusion in another Zip file. It also includes a prefix attribute which is prepended to each entry in the output Zip file. At present, ZipFileSets are not surfaced in the public API. FileSets nested in a Zip task are instantiated as ZipFileSets, and their attributes are only recognized in the context of the the Zip task. It is not possible to define a ZipFileSet outside of the Zip task and refer to it via a refid. However a standard FileSet may be included by reference in the Zip task, and attributes in the refering ZipFileSet can augment FileSet definition.

Author:
  Don Ferguson don@bea.com

Fields inherited from class org.apache.tools.ant.types.DataType
`checked, description, ref`

Constructor Summary
`ZipFileSet()`

Method Summary
`DirectoryScanner` | `getDirectoryScanner(Project p)` Return the DirectoryScanner associated with this FileSet.
`java.lang.String` | `getFullpath()` Return the full pathname of the single entry in this fileset.
`java.lang.String` | `getPrefix()` Return the prefix prepended to entries in the zip file.
`java.io.File` | `getSrc()` Get the zip file from which entries will be extracted.
`void` | `setDir(java.io.File dir)` Set the directory for the fileset.
`void` | `setFullpath(java.lang.String fullpath)` Set the full pathname of the single entry in this fileset.
`void` | `setPrefix(java.lang.String prefix)` Prepend this prefix to the path for each zip entry.
`void` | `setSrc(java.io.File srcFile)` Set the source Zip file for the zipfileset.

Methods inherited from class org.apache.tools.ant.types.FileSet
`createExclude, createInclude, createPatternSet, getDir, getRef, setDefaultexcludes, setExcludes, setExcludesfile, setIncludes, setIncludesfile, setRefid, setupDirectoryScanner`

Methods inherited from class org.apache.tools.ant.types.DataType
`circularReference, dieOnCircularReference, getDescription, isReference, noChildrenAllowed, setDescription, tooManyAttributes`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ZipFileSet

    public ZipFileSet()

Method Detail

### setDir

    public void setDir(java.io.File dir)
                throws BuildException

  Set the directory for the fileset. Prevents both "dir" and "src" from being specified.
  Overrides:
    `setDir` in class `FileSet`

### setSrc

    public void setSrc(java.io.File srcFile)

  Set the source Zip file for the zipfileset. Prevents both "dir" and "src" from being specified.
  Parameters:
    `srcFile` - The zip file from which to extract entries.

### getSrc

    public java.io.File getSrc()

  Get the zip file from which entries will be extracted. References are not followed, since it is not possible to have a reference to a ZipFileSet, only to a FileSet.

### setPrefix

    public void setPrefix(java.lang.String prefix)

  Prepend this prefix to the path for each zip entry. Does not perform reference test; the referenced file set can be augmented with a prefix.
  Parameters:
    `prefix` - The prefix to prepend to entries in the zip file.

### getPrefix

    public java.lang.String getPrefix()

  Return the prefix prepended to entries in the zip file.

### setFullpath

    public void setFullpath(java.lang.String fullpath)

  Set the full pathname of the single entry in this fileset.
  Parameters:
    `prefix` - The prefix to prepend to entries in the zip file.

### getFullpath

    public java.lang.String getFullpath()

  Return the full pathname of the single entry in this fileset.

### getDirectoryScanner

    public DirectoryScanner getDirectoryScanner(Project p)

  Return the DirectoryScanner associated with this FileSet. If the ZipFileSet defines a source Zip file, then a ZipScanner is returned instead.
  Overrides:
    `getDirectoryScanner` in class `FileSet`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache Software Foundation. All Rights Reserved.